Bug 221313 - NFSD cause kernel panic -- Null pointer dereference
NFSD cause kernel panic -- Null pointer dereference
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Ben Levenson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-03 14:18 EST by Jack Swope
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.19-1.2911.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-27 11:05:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log of kernel panic error messages (13.89 KB, text/plain)
2007-01-03 14:22 EST, Jack Swope
no flags Details

  None (edit)
Description Jack Swope 2007-01-03 14:18:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.8) Gecko/20061108 Fedora/1.5.0.8-1.fc5 Firefox/1.5.0.8

Description of problem:
With increasing load, nfsd causes a kernel panic and system becomes unresponsive.  Problem occurs with number of clients above 30.  System generally stable with lower numbers or relatively inactive clients.  Heavy use in automating testing environment (5 machines constantly accessing test files)  will cause kernel panic in roughly 24 hours.

Version-Release number of selected component (if applicable):
1.0.10-5.fc6

How reproducible:
Always


Steps to Reproduce:
1. Export a files system via nfs
2. Mount from several machines (more machines will cause more frequent failure)
3. Continually access files (reading only)
4. Kernel panic will occur


Actual Results:


Expected Results:


Additional info:
Comment 1 Jack Swope 2007-01-03 14:22:14 EST
Created attachment 144730 [details]
Log of kernel panic error messages

THis is the log from the machine which experienced the kernel panic
Comment 2 Steve Dickson 2007-01-03 19:20:26 EST
Do you have some type of disk mirroring set up
Comment 3 Jack Swope 2007-01-03 19:29:03 EST
Yes.  Nvidia SATA mirroring 2 250GB hard drives.

Output of lspci:
00:0e.0 RAID bus controller: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:0f.0 RAID bus controller: nVidia Corporation MCP51 Serial ATA Controller (rev a1)

Comment 5 Jack Swope 2007-01-09 11:40:46 EST
(In reply to comment #2)
> Do you have some type of disk mirroring set up

Yes.  Nvidia SATA mirroring 2 250GB hard drives.

Output of lspci:
00:0e.0 RAID bus controller: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:0f.0 RAID bus controller: nVidia Corporation MCP51 Serial ATA Controller (rev a1)


Comment 6 Jack Swope 2007-01-23 13:10:13 EST
Further testing shows that if you add the kernel options maxcpus=1 nosmp .
Machine is completely stable been running for 1-1/2 weeks with heavy load.
Comment 7 Steve Dickson 2007-03-09 13:51:18 EST
reassigning this back to kernel-maint@redhat.com since I really don't
think this is an NFS bug... 
Comment 8 Chuck Ebbert 2007-03-09 18:22:24 EST
What kernel version are you using?
Comment 9 Jack Swope 2007-03-27 10:27:06 EDT
(In reply to comment #8)
> What kernel version are you using?
> 
During original problem kernel version 2.6.18-1.2868.fc6 had to be booted with
maxcpus=1 kernel option.  Kernel version 2.6.19-1.2911.fc6 #1 SMP has been
running 3 weeks without maxcpus option set and is stable.

Note You need to log in before you can comment on or make changes to this bug.